/**
 * output package name
 */
package com.kingdee.eas.custom.permissioncontrol.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class OperationTypeEnum extends StringEnum
{
    public static final String ADD_NEW_VALUE = "1";//alias=ÐÂÔö
    public static final String ASSIGNED_VALUE = "2";//alias=ÒÑ·ÖÅä

    public static final OperationTypeEnum ADD_NEW = new OperationTypeEnum("ADD_NEW", ADD_NEW_VALUE);
    public static final OperationTypeEnum ASSIGNED = new OperationTypeEnum("ASSIGNED", ASSIGNED_VALUE);

    /**
     * construct function
     * @param String operationTypeEnum
     */
    private OperationTypeEnum(String name, String operationTypeEnum)
    {
        super(name, operationTypeEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static OperationTypeEnum getEnum(String operationTypeEnum)
    {
        return (OperationTypeEnum)getEnum(OperationTypeEnum.class, operationTypeEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(OperationTypeEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(OperationTypeEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(OperationTypeEnum.class);
    }
}